sparse_mem_map.hpp File Reference
`#include <algorithm>`
`#include <cstddef>`
`#include <iterator>`
`#include <map>`
`#include <stdexcept>`
`#include <vector>`
`#include <osmium/index/map.hpp>`
`#include <osmium/index/index.hpp>`
`#include <osmium/io/detail/read_write.hpp>`
Include dependency graph for sparse_mem_map.hpp:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes

class | osmium::index::map::SparseMemMap< TId, TValue >

## Namespaces

| osmium
| Namespace for everything in the Osmium library.
| osmium::index
| Indexing of OSM data, Locations, etc.
| osmium::index::map
| Key-value containers with unique integer values for a key.

## Macros

#define | OSMIUM_HAS_INDEX_MAP_SPARSE_MEM_MAP

## Macro Definition Documentation

#define OSMIUM_HAS_INDEX_MAP_SPARSE_MEM_MAP